import java.io.File;
import java.io.FileFilter;
import java.util.Locale;

import com.spire.xls.CellRange;
import com.spire.xls.FileFormat;
import com.spire.xls.PageSetup;
import com.spire.xls.Workbook;
import com.spire.xls.Worksheet;

public class Sample {
	
	public static void main(String[] args) {
		convertExcelToPdf();
	}
    
    public static void convertExcelToPdf() {
        
        File file = new File("E:\\hockeyplayerdata2018.xlsx");
        String outputFileName = "E:\\hockeyplayerdata2018.pdf";
        
        Locale locale = new Locale("zh", "CN");
        Locale.setDefault(locale);

        Workbook workbook = new Workbook();
        workbook.loadFromFile(file.getPath());
        workbook.getConverterSetting().setSheetFitToWidth(true);
        workbook.getConverterSetting().isReCalculateOnConvert(false);
        
        for (int i = 0; i < workbook.getWorksheets().size(); i++) {
        	
            Worksheet worksheet = workbook.getWorksheets().get(i);
            
            for (int col = worksheet.getFirstColumn(); col <= worksheet.getLastColumn(); col++){
                CellStyle style = worksheet.getColumns()[col-1].getCellStyle();
                style.setShrinkToFit(true);
                style.setWrapText(false);
            }
        	PageSetup pageSetup = worksheet.getPageSetup();
            pageSetup.setPrintArea(null);
        }

        workbook.saveToFile(outputFileName, FileFormat.PDF);
    	workbook.dispose();
    	System.out.println("processed excel file - "+file.getName());
    }
}
